summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdam Reichold2015-06-10 18:43:29 +0200
committerAdam Reichold2015-06-10 18:43:29 +0200
commitf59c9ab40d94469888ca1a5ef95d1f8afe7a2b64 (patch)
tree18a5be2148334fd3afbde57a21a2bf00c3dae260
downloadaur-f59c9ab40d94469888ca1a5ef95d1f8afe7a2b64.tar.gz
Initial import
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD38
-rw-r--r--qpdfview.install13
3 files changed, 73 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8c8fa58de02
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = qpdfview
+ pkgdesc = A tabbed PDF viewer using the poppler library.
+ pkgver = 0.4.15
+ pkgrel = 1
+ url = https://launchpad.net/qpdfview
+ install = qpdfview.install
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = qt5-tools
+ depends = libcups
+ depends = poppler-qt5
+ depends = qt5-svg
+ depends = desktop-file-utils
+ depends = hicolor-icon-theme
+ optdepends = libspectre: for PostScript support (required at build time)
+ optdepends = djvulibre: for DjVu support (required at build time)
+ source = http://launchpad.net/qpdfview/trunk/0.4.15/+download/qpdfview-0.4.15.tar.gz
+ md5sums = d7e4066f9062a00380e9aa78c12a882e
+
+pkgname = qpdfview
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..adc17b0f93c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Adam Reichold <adam.reichold@t-online.de>
+
+pkgname=qpdfview
+pkgver=0.4.15
+pkgrel=1
+pkgdesc='A tabbed PDF viewer using the poppler library.'
+arch=('i686' 'x86_64')
+url='https://launchpad.net/qpdfview'
+license=('GPL2')
+depends=('libcups' 'poppler-qt5' 'qt5-svg' 'desktop-file-utils' 'hicolor-icon-theme')
+optdepends=('libspectre: for PostScript support (required at build time)' 'djvulibre: for DjVu support (required at build time)')
+makedepends=('qt5-tools')
+install='qpdfview.install'
+source=("http://launchpad.net/$pkgname/trunk/$pkgver/+download/$pkgname-$pkgver.tar.gz")
+md5sums=('d7e4066f9062a00380e9aa78c12a882e')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ if ! pkg-config --exists libspectre; then
+ local config="$config without_ps"
+ fi
+
+ if ! pkg-config --exists ddjvuapi; then
+ local config="$config without_djvu"
+ fi
+
+ lrelease-qt5 qpdfview.pro
+ qmake-qt5 "CONFIG+=$config" qpdfview.pro
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make "INSTALL_ROOT=$pkgdir" install
+}
+
diff --git a/qpdfview.install b/qpdfview.install
new file mode 100644
index 00000000000..e323b08b1c7
--- /dev/null
+++ b/qpdfview.install
@@ -0,0 +1,13 @@
+post_install() {
+ xdg-icon-resource forceupdate --theme hicolor &>/dev/null
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
+